package sgc.portal.cs.cs0302.service;

import org.springframework.stereotype.Service;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cs.cs0302.dto.CS03020001USearch;
import sgc.portal.cs.cs0302.persistence.CS03020001UMapper;

import java.util.List;

@Service
public class CS03020001UService {
	private final CS03020001UMapper mapper;

	public CS03020001UService(CS03020001UMapper mapper) {
		this.mapper = mapper;
	}

	/*방문리스트*/
	public List<EasyHashMap<String, Object>> getVisInfo(CS03020001USearch search) {
		return mapper.getVisInfo(search);
	}
	
	/*방문리스트상세*/
	public List<EasyHashMap<String, Object>> getVisInfoDetail(CS03020001USearch search) {
		return mapper.getVisInfoDetail(search);
	}
}